extends "res://entities/base_movable.gd"

export var color = "none"
onready var timer = get_node("Timer")



func _process(delta):
	if timer.get_time_left() == 0:
		direction = DIRECTIONS.NONE

func push(push_direction):
	if (timer.is_stopped()):
		timer.start()
		
		direction = push_direction
	